Bug 530061 (CVE-2009-3876, CVE-2009-3877) - CVE-2009-3876 OpenJDK ASN.1/DER input stream parser denial of service (6864911) CVE-2009-3877
Summary: CVE-2009-3876 OpenJDK ASN.1/DER input stream parser denial of service (686491...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2009-3876, CVE-2009-3877
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
: 533230 533231 (view as bug list)
Depends On: 530367 530368 532004 532005 534067 534068 543562 543563 543564 545353 545354 549649 549650 554295 589514 589515
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-10-21 12:20 UTC by Marc Schoenefeld
Modified: 2019-09-29 12:33 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-22 15:41:10 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:1560 normal SHIPPED_LIVE Critical: java-1.6.0-sun security update 2009-11-09 15:04:13 UTC
Red Hat Product Errata RHSA-2009:1571 normal SHIPPED_LIVE Critical: java-1.5.0-sun security update 2009-11-10 19:30:16 UTC
Red Hat Product Errata RHSA-2009:1584 normal SHIPPED_LIVE Important: java-1.6.0-openjdk security update 2009-11-16 15:44:53 UTC
Red Hat Product Errata RHSA-2009:1643 normal SHIPPED_LIVE Critical: java-1.4.2-ibm security update 2009-12-08 02:56:40 UTC
Red Hat Product Errata RHSA-2009:1647 normal SHIPPED_LIVE Critical: java-1.5.0-ibm security update 2009-12-08 19:09:07 UTC
Red Hat Product Errata RHSA-2009:1662 normal SHIPPED_LIVE Low: Red Hat Network Satellite Server Sun Java Runtime security update 2009-12-11 13:42:50 UTC
Red Hat Product Errata RHSA-2009:1694 normal SHIPPED_LIVE Critical: java-1.6.0-ibm security update 2009-12-23 17:33:56 UTC
Red Hat Product Errata RHSA-2010:0043 normal SHIPPED_LIVE Low: Red Hat Network Satellite Server IBM Java Runtime security update 2010-01-14 16:32:02 UTC
Sun Bug Database 6864911 None None None Never

Comment 3 Mark J. Cox 2009-11-03 23:02:07 UTC
  Two vulnerabilities in the Java Runtime Environment with decoding DER encoded
  data and parsing HTTP headers may separately allow a remote client to cause
  the JRE to run out of memory resulting in a denial of service condition.

Comment 4 Josh Bressers 2009-11-06 01:23:30 UTC
*** Bug 533231 has been marked as a duplicate of this bug. ***

Comment 5 Josh Bressers 2009-11-06 01:23:40 UTC
*** Bug 533230 has been marked as a duplicate of this bug. ***

Comment 6 errata-xmlrpc 2009-11-09 15:04:35 UTC
This issue has been addressed in following products:

  Extras for RHEL 4
  Extras for Red Hat Enterprise Linux 5

Via RHSA-2009:1560 https://rhn.redhat.com/errata/RHSA-2009-1560.html

Comment 8 errata-xmlrpc 2009-11-10 19:30:25 UTC
This issue has been addressed in following products:

  Extras for RHEL 4
  Extras for Red Hat Enterprise Linux 5

Via RHSA-2009:1571 https://rhn.redhat.com/errata/RHSA-2009-1571.html

Comment 9 Fedora Update System 2009-11-13 08:45:27 UTC
java-1.6.0-openjdk-1.6.0.0-33.b16.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/java-1.6.0-openjdk-1.6.0.0-33.b16.fc12

Comment 10 Fedora Update System 2009-11-13 08:49:19 UTC
java-1.6.0-openjdk-1.6.0.0-23.b16.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/java-1.6.0-openjdk-1.6.0.0-23.b16.fc10

Comment 11 Fedora Update System 2009-11-13 16:34:35 UTC
java-1.6.0-openjdk-1.6.0.0-30.b16.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/java-1.6.0-openjdk-1.6.0.0-30.b16.fc11

Comment 12 Fedora Update System 2009-11-14 03:29:29 UTC
java-1.6.0-openjdk-1.6.0.0-30.b16.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2009-11-14 03:31:22 UTC
java-1.6.0-openjdk-1.6.0.0-33.b16.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2009-11-14 03:32:37 UTC
java-1.6.0-openjdk-1.6.0.0-23.b16.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 errata-xmlrpc 2009-11-16 15:45:04 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2009:1584 https://rhn.redhat.com/errata/RHSA-2009-1584.html

Comment 18 errata-xmlrpc 2009-12-08 02:57:00 UTC
This issue has been addressed in following products:

  Extras for RHEL 3
  Extras for Red Hat Enterprise Linux 5
  Extras for RHEL 4

Via RHSA-2009:1643 https://rhn.redhat.com/errata/RHSA-2009-1643.html

Comment 21 errata-xmlrpc 2009-12-08 19:09:41 UTC
This issue has been addressed in following products:

  Extras for RHEL 4
  Extras for Red Hat Enterprise Linux 5

Via RHSA-2009:1647 https://rhn.redhat.com/errata/RHSA-2009-1647.html

Comment 22 errata-xmlrpc 2009-12-11 13:43:55 UTC
This issue has been addressed in following products:

  Red Hat Network Satellite Server v 5.1

Via RHSA-2009:1662 https://rhn.redhat.com/errata/RHSA-2009-1662.html

Comment 25 errata-xmlrpc 2009-12-23 17:34:17 UTC
This issue has been addressed in following products:

  Extras for RHEL 4
  Extras for Red Hat Enterprise Linux 5

Via RHSA-2009:1694 https://rhn.redhat.com/errata/RHSA-2009-1694.html

Comment 28 errata-xmlrpc 2010-01-14 16:33:04 UTC
This issue has been addressed in following products:

  Red Hat Network Satellite Server v 5.3

Via RHSA-2010:0043 https://rhn.redhat.com/errata/RHSA-2010-0043.html


Note You need to log in before you can comment on or make changes to this bug.